# $Revision: 1.22 $, $Date: 2004/05/05 06:37:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	LibXSLT
Summary:	XML::LibXSLT - interface to the GNOME libxslt library
Summary(pl):	XML::LibXSLT - interfejs do biblioteki libxslt z GNOME
Name:		perl-%{pdir}-%{pnam}
Version:	1.57
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9b831bc5a97444103f345105f0f6fced
BuildRequires:	libxslt-devel >= 1.0.6
BuildRequires:	perl-XML-LibXML >= 1.57
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libxslt >= 1.0.6
Requires:	perl-XML-LibXML >= 1.57
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an interface to the gnome project's libxslt. This is an
extremely good XSLT engine, highly compliant and also very fast. I
have tests showing this to be more than twice as fast as Sablotron.

%description -l pl
Ten modu jest interfejsem do libxslt z projektu GNOME. Jest to bardzo
dobry silnik XSLT, o duej zgodnoci ze standardem, a take bardzo
szybki. Wedug testw jest ponad dwa razy szybszy od Sablotrona.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/LibXSLT.pm
%{perl_vendorarch}/XML/benchmark.pl
%dir %{perl_vendorarch}/auto/XML/LibXSLT
%{perl_vendorarch}/auto/XML/LibXSLT/LibXSLT.bs
%attr(755,root,root) %{perl_vendorarch}/auto/XML/LibXSLT/LibXSLT.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-LibXSLT.spec,v $
Revision 1.22  2004/05/05 06:37:24  ankry
- enabled tests, license fix, cosmetics

Revision 1.21  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.20  2004/03/06 18:48:11  adamg
- updated to 1.57
- updated requires

Revision 1.19  2004/01/08 13:42:18  qboosh
- added tests (off by default for now)

Revision 1.18  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.17  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.16  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/03/01 22:10:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.12  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.11  2003/02/20 22:22:35  ankry
- updated to 1.53

Revision 1.10  2003/02/18 15:39:14  ankry
- massive attack: change CPAN URLs

Revision 1.9  2002/09/08 11:04:27  radek
- version 1.52
- provided informative summary

Revision 1.8  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.7  2002/07/11 08:06:32  depesz
- new version; should work; STBR

Revision 1.6  2002/07/10 09:02:55  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.5  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.4  2002/04/20 02:00:02  kloczek
- cosmetics.

Revision 1.3  2002/04/19 12:33:32  grabba
- spec adapterized

Revision 1.2  2002/04/15 10:23:30  qboosh
- pl descriptions

Revision 1.1  2002/04/14 14:23:50  grabba
- first release
